window.addEventListener("load" , function(){

    function animateIt(cssClass){
        const prefixClass = "animate__animated";
        rapidcode.setAttribute("class" , `${prefixClass} ${cssClass}`);
    }


    function animateHandler(){
        const thisElement = this;

        animateIt(this.getAttribute("data-class"));
    }

    const rapidcode = document.getElementById("rapidcode");
    const btnAnimateAction = document.querySelectorAll(".animate-list .button");

    btnAnimateAction.forEach(function(element){
        element.addEventListener("click" , animateHandler);
    });


});